Bug 17653 - Remove itemtype-related t/db_dependent/Circulation* warnings
Summary: Remove itemtype-related t/db_dependent/Circulation* warnings
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on: 14598
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-17 15:28 UTC by Tomás Cohen Arazi
Modified: 2017-06-14 22:17 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17653: Remove itemtype-related t/db_dependent/Circulation* warnings (11.17 KB, patch)
2016-11-17 15:31 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17653: Remove itemtype-related t/db_dependent/Circulation* warnings (11.23 KB, patch)
2016-11-18 07:00 UTC, Josef Moravec
Details | Diff | Splinter Review
[PASSED QA] Bug 17653: Remove itemtype-related t/db_dependent/Circulation* warnings (11.29 KB, patch)
2016-11-18 07:18 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-11-17 15:28:00 UTC

    
Comment 1 Tomás Cohen Arazi 2016-11-17 15:31:45 UTC
Created attachment 57605 [details] [review]
Bug 17653: Remove itemtype-related t/db_dependent/Circulation* warnings

This patch makes t/db_dependent/Circulation* create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Circulation*
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Circulation*
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Josef Moravec 2016-11-18 07:00:18 UTC
Created attachment 57610 [details] [review]
[SIGNED-OFF] Bug 17653: Remove itemtype-related t/db_dependent/Circulation* warnings

This patch makes t/db_dependent/Circulation* create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Circulation*
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Circulation*
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Katrin Fischer 2016-11-18 07:18:40 UTC
Created attachment 57614 [details] [review]
[PASSED QA] Bug 17653: Remove itemtype-related t/db_dependent/Circulation* warnings

This patch makes t/db_dependent/Circulation* create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Circulation*
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Circulation*
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 4 Kyle M Hall 2016-11-18 14:03:43 UTC
Pushed to master for 16.11, thanks Tomas!
Comment 5 Mason James 2016-12-14 11:24:05 UTC
Pushed to 16.05.x, for 16.05.06 release